Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-workflow-definition.post-template-workflow-step-definition ​

Adds a new step to a template's workflow.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
actionstringNo—Indicates the action to perform. Valid values: - pause_before: The workflow should pause before the trigger described by triggerOnItem is reached.
completeddatestringNo—The timestamp of when the workflow step transitioned to completed status. This property is read-only.
delayedroutingjsonNo—A complex element that specifies the delayed routing settings for the workflow step.
itemidstringNo—The unique ID of the item being triggered.
recipientroutingjsonNo—Describes the recipient routing rules.
statusstringNo—The status of the step. Valid values: - inactive - in_progress - paused - pending - completed This property is read-only.
triggereddatestringNo—The timestamp of when the workflow step transitioned to in_progress status. This property is read-only.
triggeronitemstringNo—The type of item that triggers this workflow step. Valid values: * routing_order
workflowstepidstringNo—A unique identifier for this workflow step. This property is read-only.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
templateidstringYes—The ID of the template.
actionstringNo—Indicates the action to perform. Valid values: - pause_before: The workflow should pause before the trigger described by triggerOnItem is reached.
completeddatestringNo—The timestamp of when the workflow step transitioned to completed status. This property is read-only.
delayedroutingjsonNo—A complex element that specifies the delayed routing settings for the workflow step.
itemidstringNo—The unique ID of the item being triggered.
recipientroutingjsonNo—Describes the recipient routing rules.
statusstringNo—The status of the step. Valid values: - inactive - in_progress - paused - pending - completed This property is read-only.
triggereddatestringNo—The timestamp of when the workflow step transitioned to in_progress status. This property is read-only.
triggeronitemstringNo—The type of item that triggers this workflow step. Valid values: * routing_order
workflowstepidstringNo—A unique identifier for this workflow step. This property is read-only.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/templates/{templateId}/workflow/steps
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-workflow-definition.post-template-workflow-step-definition",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "templateid": "value"
  }
}